{
  "compilerOptions": {
    "baseUrl": "src",
    "target": "esnext",
    "module": "esnext",
    "lib": ["dom", "dom.iterable", "esnext"],
    "allowJs": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noFallthroughCasesInSwitch": true,
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true, //does not create compile files
    "jsx": "react-jsx",
    "noUnusedLocals": false,
    "noUnusedParameters": true,
    "allowUnreachableCode": false,
    "types": ["vite/client"]
  },
  "include": ["src"],
  "exclude": ["node_modules"]
}
